package com.fundi.framework.common.displaylist;

/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

public class ListPosition {
	
	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$
	
	private int rowIndex = -1;
	private int rowUid = -1;
	private String columnLabel = ""; //$NON-NLS-1$
	
	public ListPosition() {
	
		super();
	}

	public ListPosition(int rowIndex, int rowUid, String columnLabel) {
		
		super();
		this.rowIndex = rowIndex;
		this.rowUid = rowUid;
		this.columnLabel = columnLabel;
	}

	public int getRowIndex() {
		
		return rowIndex;
	}

	public int getRowUid() {
		
		return rowUid;
	}

	public String getColumnLabel() {

		return columnLabel;
	}
}
